# Interface methods for submodule: VectorContainer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy, CellInterfaceProxy as _CellInterfaceProxy, LevelSetNodeProxy as _LevelSetNodeProxy


# Interface methods for class: VectorContainer
class VectorContainerProxy(_ObjectProxy, _CellInterfaceProxy, _LevelSetNodeProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def CastToSTLContainer(self):
		""""""
		...

	@overload
	def CastToSTLContainer(self) -> Sequence[float]:
		""""""
		...

	@overload
	def CastToSTLContainer(self) -> Sequence[int]:
		""""""
		...

	@overload
	def CastToSTLConstContainer(self):
		""""""
		...

	@overload
	def CastToSTLConstContainer(self) -> Sequence[float]:
		""""""
		...

	@overload
	def CastToSTLConstContainer(self) -> Sequence[int]:
		""""""
		...

	@overload
	def ElementAt(self, arg0: int):
		""""""
		...

	@overload
	def ElementAt(self, arg0: int) -> float:
		""""""
		...

	@overload
	def ElementAt(self, arg0: int) -> Sequence[int]:
		""""""
		...

	@overload
	def ElementAt(self, arg0: int) -> int:
		""""""
		...

	@overload
	def ElementAt(self, arg0: int) -> Sequence[float]:
		""""""
		...

	@overload
	def CreateElementAt(self, arg0: int):
		""""""
		...

	@overload
	def CreateElementAt(self, arg0: int) -> float:
		""""""
		...

	@overload
	def CreateElementAt(self, arg0: int) -> Sequence[int]:
		""""""
		...

	@overload
	def CreateElementAt(self, arg0: int) -> int:
		""""""
		...

	@overload
	def CreateElementAt(self, arg0: int) -> Sequence[float]:
		""""""
		...

	@overload
	def GetElement(self, arg0: int):
		""""""
		...

	@overload
	def GetElement(self, arg0: int) -> float:
		""""""
		...

	@overload
	def GetElement(self, arg0: int) -> Sequence[int]:
		""""""
		...

	@overload
	def GetElement(self, arg0: int) -> int:
		""""""
		...

	@overload
	def GetElement(self, arg0: int) -> Sequence[float]:
		""""""
		...

	@overload
	def SetElement(self, arg0: int, arg1) -> None:
		""""""
		...

	@overload
	def SetElement(self, arg0: int, arg1: float) -> None:
		""""""
		...

	@overload
	def SetElement(self, arg0: int, arg1: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetElement(self, arg0: int, arg1: int) -> None:
		""""""
		...

	@overload
	def SetElement(self, arg0: int, arg1: Sequence[float]) -> None:
		""""""
		...

	@overload
	def InsertElement(self, arg0: int, arg1) -> None:
		""""""
		...

	@overload
	def InsertElement(self, arg0: int, arg1: float) -> None:
		""""""
		...

	@overload
	def InsertElement(self, arg0: int, arg1: Sequence[int]) -> None:
		""""""
		...

	@overload
	def InsertElement(self, arg0: int, arg1: int) -> None:
		""""""
		...

	@overload
	def InsertElement(self, arg0: int, arg1: Sequence[float]) -> None:
		""""""
		...

	def IndexExists(self, arg0: int) -> bool:
		""""""
		...

	def GetElementIfIndexExists(self, arg0: int, arg1) -> bool:
		""""""
		...

	def CreateIndex(self, arg0: int) -> None:
		""""""
		...

	def DeleteIndex(self, arg0: int) -> None:
		""""""
		...

	def Size(self) -> int:
		""""""
		...

	def Reserve(self, arg0: int) -> None:
		""""""
		...

	def Squeeze(self) -> None:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

